#include <bits/stdc++.h>
#define pii pair<int,int>
#define pb push_back
#define ll long long
using namespace std;

const int nmax=2e6;
vector<int>st,dr,answer,a;

vector<pii>Ap;

vector<int> solve(vector<int>A) {
    int n=A.size();
    st.clear(),answer.clear(),dr.clear(),a.clear(),Ap.clear();
    for(int i=0; i<n; i++) {
        Ap.pb({A[i],i});
    }

    sort(Ap.begin(),Ap.end());
    for(int i=0; i<n; i++) {
        int j=i;
        while(j+1<n && Ap[j+1].first==Ap[i].first)
            j++;
        while(j-i+1>=2) {
            st.pb(Ap[i++].second);
            dr.pb(Ap[i++].second);
        }
        if(j==i)
            a.pb(Ap[i].second);
        i=j;
    }
    n=a.size();
    if(!n) {

    } else if(n==1)
        st.pb(a[0]);
    else {
        int target_size=(n+1)/2;
        for(int i=0; i<target_size-1; i++)
            st.pb(a[i]);
        st.pb(a[n-1]);
        for(int i=target_size-1; i<n-1; i++)
            dr.pb(a[i]);

    }
    for(int i:st)
        answer.pb(i);
    for(int i:dr)
        answer.pb(i);
    return answer;
}